condition.hpp File Reference

defines the condition class More...

`#include "mutex.hpp"`
`#include "exceptions.hpp"`
`#include <deque>`

Go to the source code of this file.

## Classes

class | libthreadar::condition
| Wrapper around the Posix pthread_cond_t object and its associated mutex. More...

## Namespaces

namespace | libthreadar
| This is the only namespace used in libthreadar and all symbols provided by libthreadar are member of this namespace.

## Detailed Description

defines the condition class

Definition in file condition.hpp.